"{ Package: 'cvut:stx/goodies/newcompiler' }"

IRInstruction subclass:#IRReturn
	instanceVariableNames:'isRemote'
	classVariableNames:''
	poolDictionaries:''
	category:'NewCompiler-IR'
!

IRReturn comment:'Instruction "returnTop" or "remoteReturn"'
!


!IRReturn methodsFor:'accessing'!

isRemote

	^ isRemote
!

isRemote: boolean

	isRemote := boolean
! !

!IRReturn methodsFor:'interpret'!

executeOn: interpreter

	^ isRemote
		ifTrue: [interpreter remoteReturn]
		ifFalse: [interpreter returnTop]
! !

!IRReturn methodsFor:'testing'!

isReturn

	^ true
! !

!IRReturn class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/cvut/stx/goodies/newcompiler/IRReturn.st,v 1.3 2009/10/08 12:01:32 fm Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/cvut/stx/goodies/newcompiler/IRReturn.st,v 1.3 2009/10/08 12:01:32 fm Exp $'
!

version_SVN
    ^ '$Id$'
! !
